Bug 553734 - TLSCert path should default to /etc/pki/tls/private/ssmtp.pem
Summary: TLSCert path should default to /etc/pki/tls/private/ssmtp.pem
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ssmtp
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-08 19:14 UTC by Ville Skyttä
Modified: 2010-05-10 23:46 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-05-07 17:22:36 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2010-01-08 19:14:17 UTC
ssmtp's default for TLSCert path is /etc/ssl/certs/ssmtp.pem.  This is outside of the path where certificates and keys usually are on Fedora systems; I suggest patching ssmtp.c and ssmtp.conf to use /etc/pki/tls/private/ssmtp.pem as the default instead.

(Oh, and by the way 2.62 is out, dunno what's new though.)

Comment 1 manuel wolfshant 2010-01-08 19:36:04 UTC
Actually 2.64 is out. Updating the Fedora is on my TODO list.. but with low priority, given $WORK.

Comment 2 Bug Zapper 2010-03-15 13:47:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-04-20 01:30:00 UTC
ssmtp-2.61-14.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el5

Comment 4 Fedora Update System 2010-04-20 01:30:11 UTC
ssmtp-2.61-14.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el4

Comment 5 Fedora Update System 2010-04-20 01:49:37 UTC
ssmtp-2.61-14.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc13

Comment 6 Fedora Update System 2010-04-20 01:49:46 UTC
ssmtp-2.61-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc12

Comment 7 Fedora Update System 2010-04-20 01:49:54 UTC
ssmtp-2.61-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc11

Comment 8 Fedora Update System 2010-04-20 22:18:27 UTC
ssmtp-2.61-14.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el4

Comment 9 Fedora Update System 2010-04-20 22:18:51 UTC
ssmtp-2.61-14.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.el5

Comment 10 Fedora Update System 2010-04-21 02:20:03 UTC
ssmtp-2.61-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc12

Comment 11 Fedora Update System 2010-04-21 02:22:41 UTC
ssmtp-2.61-14.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc13

Comment 12 Fedora Update System 2010-04-21 02:22:52 UTC
ssmtp-2.61-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ssmtp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ssmtp-2.61-14.fc11

Comment 13 Fedora Update System 2010-05-07 17:22:27 UTC
ssmtp-2.61-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-07 17:22:56 UTC
ssmtp-2.61-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-10 20:14:30 UTC
ssmtp-2.61-14.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-10 20:16:43 UTC
ssmtp-2.61-14.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-10 23:46:06 UTC
ssmtp-2.61-14.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.